
truncate table ${DBNAME_EDW}.f_tr_datos_detallada_prev;

insert into ${DBNAME_EDW}.f_tr_datos_detallada_prev
select
ani_cd,
inicio_sesion_datos_fh,
plan_tarifario_cd,
tipo_servicio_datos_cd,
duracion_sesion_datos_mo,
cantidad_enviada_bytes_mo,
cantidad_recibida_bytes_mo,
indicador_roaming_cd,
importe_cobrado_mo,
importe_costo_inicial_mo,
importe_costo_abono_mo,
importe_costo_recarga_mo,
importe_costo_promocion_mo,
importe_costo_bolsa5_mo,
importe_costo_bolsa6_mo,
importe_no_cargado_mo,
impuesto_iva_mo,
operadora_cd,
tecnologia_acceso_red_cd,
case when clase_tarifa_cd is not null then clase_tarifa_cd else -2 end clase_tarifa_cd,
identificador_archivo_cd,
tipo_destino_cd,
tipo_evento_cd,
valor_eventprom_mo,
imei_nr,
identificador_sesion_cd,
deuda_mo,
identificador_celda_cd,
codigo_identificador_cd,
nombre_archivo_de,
roaming_f,
anio_mes_nr,
flag_movil_fl
from trafico.altamira_trafico_diameter_datos_fp
where fecha = ${CURRENT_DATE_N}

union all

select 
ani_cd,
inicio_sesion_datos_fh,
plan_tarifario_cd,
tipo_servicio_datos_cd,
duracion_sesion_datos_mo,
cantidad_enviada_bytes_mo,
cantidad_recibida_bytes_mo,
indicador_roaming_cd,
importe_cobrado_mo,
importe_costo_inicial_mo,
importe_costo_abono_mo,
importe_costo_recarga_mo,
importe_costo_promocion_mo,
importe_costo_bolsa5_mo,
importe_costo_bolsa6_mo,
importe_no_cargado_mo,
impuesto_iva_mo,
operadora_cd,
tecnologia_acceso_red_cd,
clase_tarifa_cd,
identificador_archivo_cd,
tipo_destino_cd,
tipo_evento_cd,
valor_eventprom_mo,
imei_nr,
identificador_sesion_cd,
deuda_mo,
identificador_celda_cd,
codigo_identificador_cd,
nombre_archivo_de,
roaming_f,
anio_mes_nr,
flag_movil_fl
from ${DBNAME_EDW}.f_tr_datos_detallada_reinyect;